import { onMount } from "solid-js";
import * as echarts from "echarts";
import 'echarts-gl'

import "../../../assets/style/BigScreenHome.css"

function Column(prop) {
    let $canvas = undefined;
    function TrendChart(width, height, $canvas) {
        var myChart = echarts.init($canvas, null, {
            width,
            height
        });
        // prettier-ignore
        var hours = [''];
        // prettier-ignore
        var channelName = [];
        // prettier-ignore

        var data = [];

        (prop.list || []).map((v, i)=>{
            channelName.push(v.channelName)
            data.push([
                0, i, v.watchRate
            ])
        })
        let option = {
            tooltip: {
                show: false
            },
            xAxis3D: {
                type: 'category',
                data: hours,
                axisLabel: {
                    color: '#ffffff'
                },
                splitLine:{
                  show: false
                },
                axisLine:{
                   lineStyle:{
                     color: "#ffffff"
                   }
                },
                name: ""
            },
            yAxis3D: {
                type: 'category',
                data: channelName,
                axisLabel: {
                    color: '#ffffff'
                },
                splitLine:{
                  show: false
                },
                axisLine:{
                   lineStyle:{
                     color: "#ffffff"
                   }
                },
                name: ""
            },
            zAxis3D: {
                type: 'value',
                name: "",
                axisLabel: {
                    color: '#ffffff'
                },
                splitLine:{
                  show: false
                },
                axisLine:{
                   lineStyle:{
                     color: "#ffffff"
                   }
                }
            },
            grid3D: {
                boxWidth: 10,
                boxDepth: width,
                viewControl: {
                    // projection: 'orthographic'
                },
            },
            series: [
                {
                    type: 'bar3D',
                    data,
                    shading: 'lambert',
                    label: {
                        fontSize: 16,
                        borderWidth: 1
                    },
                }
            ]
        };
        option && myChart.setOption(option);
    }
    onMount(() => {
        TrendChart(prop.width, prop.height, $canvas)
    })
    return (
        <div className="livRang" style={`width:${prop.width}px;`}>
            <div className="head">{prop.title}</div>
            <div ref={$canvas}></div>
        </div>
    );
}

export default Column;
